.inspector {
    display: grid;
    grid-template-columns: 600px 1fr;
    gap: 40px;
    width: 100%;
    position: relative;
}

.inspectorTests {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-height: 540px;
    overflow-y: scroll;
    padding-right: 10px;
}

/* Chrome / WebKit only */
.inspectorTests::-webkit-scrollbar {
    width: 12px;
    background: transparent;
    border-radius: 4px;

}

.inspectorTests::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.15);
    cursor: ns-resize;
    border-radius: 4px;
}

.inspectorTests::-webkit-scrollbar-thumb {
    background-color: var(--faded-bone);
    border-radius: 4px;
    cursor: grab;
    border: 2px solid transparent;
}

.inspectorTests::-webkit-scrollbar-thumb:active {
    cursor: grabbing;
}

.inspectorTestsItem {
    background-color: var(--highlight);
    border-radius: 4px;
}

.inspectorTestsItemTop {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 14px;
}

.inspectorTestsItemTopResults {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-shrink: 0;
    gap: 6px;
}

.inspectorTestsItemResultItem {
    height: 16px;
    width: 16px;
    border-radius: 4px;
    background-color: var(--green);
}

.inspectorTestsItemResultItem.fail {
    background-color: var(--red);
}

.inspectorTestsItemResultItem.unknown {
    background-color: var(--faded-bone);
}

.inspectorTestsItemTopIcon {
    height: 10px;
    width: auto;
    transition: .3s ease;
}

.inspectorTestsItemTop.active .inspectorTestsItemTopIcon {
    transform: scale3d(1, -1, 1);
}

.inspectorTestsItemBottom {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows ease 300ms;
}

.inspectorTestsItemTop.active ~ .inspectorTestsItemBottom {
    grid-template-rows: 1fr;
}

.inspectorTestsItemBottomWrap {
    overflow: hidden;
}

.inspectorTestsItemBottomWrapContent {
    padding: 0 20px 40px 40px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    font-size: 20px;
}

.inspectorTestsItemBottomItem {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.inspectorTestsItemBottomItemStatus {
    height: 16px;
    width: 16px;
    border-radius: 4px;
    background-color: var(--green);
    flex-shrink: 0;
}

.inspectorTestsItemBottomItemStatus.fail {
    background-color: var(--red);
}

.inspectorTestsItemBottomItemStatus.unknown {
    background-color: var(--faded-bone);
}

.inspectorTestsItemBottomItemDate {
    margin-left: auto;
    text-align: right;
}

.inspectorWrap {
    max-height: 540px;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
    padding-top: 50px;
}

.inspectorChart {

}

.inspectorWrapPie {
    max-height: 150px;
    display: flex;
    top: 50px;
    position: absolute;
}

@media (max-width: 800px) {
    .inspector {
        grid-template-columns: 1fr;
    }

    .inspectorTestsItemTopName {
        font-size: 24px;
    }

    .inspectorTestsItemResultItem {
        height: 10px;
        width: 10px;
        border-radius: 2px;
    }

    .inspectorTestsItemBottomItemStatus {
        border-radius: 2px;
        height: 10px;
        width: 10px;
    }

    .inspectorTestsItemBottomWrapContent {
        padding-left: 14px;
    }

    .inspectorTestsItemBottomItemName {
        font-size: 12px;
    }

    .inspectorTestsItemBottomItemDate {
        font-size: 12px;
    }

    .inspectorWrap {
        display: none;
    }
}